安全链钱包

From SecureWiki
Jump to: navigation, search

介绍

开发者
钱包
区块浏览器

由安全币创始者Baritus授权,安全链钱包现已成为安全币的唯一官方钱包,而早期的安全币核心钱包将不再维护。此外安全链开发者也已成为安全币的核心开发人员,今后Baritus和安全链开发者将共同为安全链钱包的发展作出贡献。相关信息已在安全币的创始贴SecureCoin's creation post里作出更新。右图是该贴截屏。

当前版本的安全链钱包采用最新的OpenSSL 1.0.2d 9 Jul 2015,QT 5.5和BOOST 1.58编译生成。为了使用方便,安全链钱包也支持从安全链区块浏览器上获得地址/交易的详细资料,而您所需做的只是简单点击主窗口内的新按钮。

系统要求

经测试,安全链钱包适用于下列操作系统。本软件也可能适用于其它版本的操作系统,但对此尚无保证。

Windows

Windows 7(32/64位)

Windows 8.1(32/64位)

Windows 10(32/64位)

MAC

MAC OSX 10.8 Mountain Lion(64位)

MAC OSX 10.9 Mavericks(64位)

MAC OSX 10.10 Yosemite(64位)

MAC OSX 10.11 EI Capitan(64位)

当前版本

当前安全链钱包版本为0.9.0

源代码

安全链钱包的源代码通过GitHub进行维护,网址为https://github.com/securechain/securechain-wallet

安全币核心钱包的兼容性

安全链钱包与旧版的安全币核心钱包完全兼容,无论是数据库还是钱包文件。它们也共享相同的数据目录。在Windows下默认的数据目录位于Windows drive(C:) -> 用户 -> *你的Windows用户名*->AppData->Roaming->SecureCoin,而在MAC下默认位于$HOME/Library/Application Support/SecureCoin/或者/Users/username/Library/Application Support/SecureCoin/。

尽管这两个钱包是兼容的,我们还是强烈推荐升级到安全链钱包,因为它已取代旧版成为安全币的唯一官方钱包,有着大量安全与其它方面的改进。

安全改进

旧版的安全币核心钱包v0.8.3发布于2013年,采用早期的OpenSSL 1.0.1e 11 Feb 2013编译生成,而该版本的OpenSSL存在着诸如Heartbleed[1]的严重安全漏洞。为了您的资产安全,请尽快升级到官方的安全链钱包,该钱包采用最新的OpenSSL 1.0.2d 9 Jul 2015以解决安全问题。 下图是旧版的安全币核心钱包与官方的安全链钱包所采用的OpenSSL版本截屏。

旧版安全币核心钱包v0.8.3所采用的OpenSSL 1.0.1e 11 Feb 2013
官方安全链钱包v0.9.0所采用的OpenSSL 1.0.2d 9 Jul 2015


下载

请前往下载页以下载最新的安全链钱包。

开发者

安全链钱包的主要开发者是Haimin Zhang(contact@securechain.info)和Baritus.

引用

  1. Symantec report of Heartbleed in old OpenSSL 08 Aug 2015